Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1114554 - [RFE] Expose bookmarks through REST API
Summary: [RFE] Expose bookmarks through REST API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Juan Hernández
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On: 1075556
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-30 10:54 UTC by Juan Hernández
Modified: 2016-02-10 19:24 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-3.5.0_alpha1
Doc Type: Enhancement
Doc Text:
Clone Of: 1075556
Environment:
Last Closed: 2015-02-11 18:05:11 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 26769 None None None Never

Description Juan Hernández 2014-06-30 10:54:40 UTC
+++ This bug was initially created as a clone of Bug #1075556 +++

It should be possible to manage bookmarks through REST API.

Bookmarks resource collection would be exposed from within the API entry point:

# GET /ovirt-engine/api
<api>
  ...
  <link href="/ovirt-engine/api/bookmarks" rel="bookmarks"/>
  ...
</api>

# GET /ovirt-engine/api/bookmarks
<bookmarks>
  <bookmark href="/ovirt-engine/api/bookmarks/{id}" id="{id}">
    <name>test</name>
    ...
  </bookmark>
</bookmarks>

Default REST method semantics apply:
  # POST /ovirt-engine/api/bookmarks - add bookmark
  # PUT /ovirt-engine/api/bookmarks/{id} - update bookmark
  # DELETE /ovirt-engine/api/bookmarks/{id} - remove bookmark

Comment 1 Juan Hernández 2014-06-30 10:57:04 UTC
This bug has already been fixed in upstream ovirt-engine-3.5.0_alpha1, and it was already available in the firs 3.5 build delivered to QE.

Comment 2 Petr Beňas 2014-08-07 15:53:37 UTC
Verified the get, post, put and delete methods in 3.5.0-0.0.master.20140804172041.git23b558e.el6.

Comment 5 errata-xmlrpc 2015-02-11 18:05:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.